transfer

package
v0.0.0-...-8f56799 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Dec 27, 2024 License: EPL-2.0 Imports: 13 Imported by: 0

Documentation

Index

Constants

View Source
const GetTransferByIDBadRequestCode int = 400

GetTransferByIDBadRequestCode is the HTTP code returned for type GetTransferByIDBadRequest

View Source
const GetTransferByIDNotFoundCode int = 404

GetTransferByIDNotFoundCode is the HTTP code returned for type GetTransferByIDNotFound

View Source
const GetTransferByIDOKCode int = 200

GetTransferByIDOKCode is the HTTP code returned for type GetTransferByIDOK

View Source
const GetTransfersForbiddenCode int = 403

GetTransfersForbiddenCode is the HTTP code returned for type GetTransfersForbidden

View Source
const GetTransfersInternalServerErrorCode int = 500

GetTransfersInternalServerErrorCode is the HTTP code returned for type GetTransfersInternalServerError

View Source
const GetTransfersMethodNotAllowedCode int = 405

GetTransfersMethodNotAllowedCode is the HTTP code returned for type GetTransfersMethodNotAllowed

View Source
const GetTransfersNotFoundCode int = 404

GetTransfersNotFoundCode is the HTTP code returned for type GetTransfersNotFound

View Source
const GetTransfersOKCode int = 200

GetTransfersOKCode is the HTTP code returned for type GetTransfersOK

View Source
const GetTransfersServiceUnavailableCode int = 503

GetTransfersServiceUnavailableCode is the HTTP code returned for type GetTransfersServiceUnavailable

View Source
const NewTransferBadGatewayCode int = 502

NewTransferBadGatewayCode is the HTTP code returned for type NewTransferBadGateway

View Source
const NewTransferForbiddenCode int = 403

NewTransferForbiddenCode is the HTTP code returned for type NewTransferForbidden

View Source
const NewTransferGatewayTimeoutCode int = 504

NewTransferGatewayTimeoutCode is the HTTP code returned for type NewTransferGatewayTimeout

View Source
const NewTransferInternalServerErrorCode int = 500

NewTransferInternalServerErrorCode is the HTTP code returned for type NewTransferInternalServerError

View Source
const NewTransferMethodNotAllowedCode int = 405

NewTransferMethodNotAllowedCode is the HTTP code returned for type NewTransferMethodNotAllowed

View Source
const NewTransferNotFoundCode int = 404

NewTransferNotFoundCode is the HTTP code returned for type NewTransferNotFound

View Source
const NewTransferOKCode int = 200

NewTransferOKCode is the HTTP code returned for type NewTransferOK

View Source
const NewTransferServiceUnavailableCode int = 503

NewTransferServiceUnavailableCode is the HTTP code returned for type NewTransferServiceUnavailable

View Source
const UpdateTransferBadGatewayCode int = 502

UpdateTransferBadGatewayCode is the HTTP code returned for type UpdateTransferBadGateway

View Source
const UpdateTransferForbiddenCode int = 403

UpdateTransferForbiddenCode is the HTTP code returned for type UpdateTransferForbidden

View Source
const UpdateTransferGatewayTimeoutCode int = 504

UpdateTransferGatewayTimeoutCode is the HTTP code returned for type UpdateTransferGatewayTimeout

View Source
const UpdateTransferInternalServerErrorCode int = 500

UpdateTransferInternalServerErrorCode is the HTTP code returned for type UpdateTransferInternalServerError

View Source
const UpdateTransferMethodNotAllowedCode int = 405

UpdateTransferMethodNotAllowedCode is the HTTP code returned for type UpdateTransferMethodNotAllowed

View Source
const UpdateTransferNotFoundCode int = 404

UpdateTransferNotFoundCode is the HTTP code returned for type UpdateTransferNotFound

View Source
const UpdateTransferOKCode int = 200

UpdateTransferOKCode is the HTTP code returned for type UpdateTransferOK

View Source
const UpdateTransferServiceUnavailableCode int = 503

UpdateTransferServiceUnavailableCode is the HTTP code returned for type UpdateTransferServiceUnavailable

Variables

This section is empty.

Functions

This section is empty.

Types

type GetTransferByID

type GetTransferByID struct {
	Context *middleware.Context
	Handler GetTransferByIDHandler
}
GetTransferByID swagger:route GET /transfers/{transferId} transfer getTransferById

Find transfer by ID

Query a single transfer

func NewGetTransferByID

func NewGetTransferByID(ctx *middleware.Context, handler GetTransferByIDHandler) *GetTransferByID

NewGetTransferByID creates a new http.Handler for the get transfer by Id operation

func (*GetTransferByID) ServeHTTP

func (o *GetTransferByID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetTransferByIDBadRequest

type GetTransferByIDBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

GetTransferByIDBadRequest Invalid ID supplied

swagger:response getTransferByIdBadRequest

func NewGetTransferByIDBadRequest

func NewGetTransferByIDBadRequest() *GetTransferByIDBadRequest

NewGetTransferByIDBadRequest creates GetTransferByIDBadRequest with default headers values

func (*GetTransferByIDBadRequest) SetPayload

func (o *GetTransferByIDBadRequest) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the get transfer by Id bad request response

func (*GetTransferByIDBadRequest) WithPayload

WithPayload adds the payload to the get transfer by Id bad request response

func (*GetTransferByIDBadRequest) WriteResponse

func (o *GetTransferByIDBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTransferByIDHandler

type GetTransferByIDHandler interface {
	Handle(GetTransferByIDParams) middleware.Responder
}

GetTransferByIDHandler interface for that can handle valid get transfer by Id params

type GetTransferByIDHandlerFunc

type GetTransferByIDHandlerFunc func(GetTransferByIDParams) middleware.Responder

GetTransferByIDHandlerFunc turns a function with the right signature into a get transfer by Id handler

func (GetTransferByIDHandlerFunc) Handle

Handle executing the request and returning a response

type GetTransferByIDNotFound

type GetTransferByIDNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

GetTransferByIDNotFound Transfer not found

swagger:response getTransferByIdNotFound

func NewGetTransferByIDNotFound

func NewGetTransferByIDNotFound() *GetTransferByIDNotFound

NewGetTransferByIDNotFound creates GetTransferByIDNotFound with default headers values

func (*GetTransferByIDNotFound) SetPayload

func (o *GetTransferByIDNotFound) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the get transfer by Id not found response

func (*GetTransferByIDNotFound) WithPayload

WithPayload adds the payload to the get transfer by Id not found response

func (*GetTransferByIDNotFound) WriteResponse

func (o *GetTransferByIDNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTransferByIDOK

type GetTransferByIDOK struct {

	/*
	  In: Body
	*/
	Payload *models.Transfer `json:"body,omitempty"`
}

GetTransferByIDOK successful operation

swagger:response getTransferByIdOK

func NewGetTransferByIDOK

func NewGetTransferByIDOK() *GetTransferByIDOK

NewGetTransferByIDOK creates GetTransferByIDOK with default headers values

func (*GetTransferByIDOK) SetPayload

func (o *GetTransferByIDOK) SetPayload(payload *models.Transfer)

SetPayload sets the payload to the get transfer by Id o k response

func (*GetTransferByIDOK) WithPayload

func (o *GetTransferByIDOK) WithPayload(payload *models.Transfer) *GetTransferByIDOK

WithPayload adds the payload to the get transfer by Id o k response

func (*GetTransferByIDOK) WriteResponse

func (o *GetTransferByIDOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTransferByIDParams

type GetTransferByIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*ID of transfer to return
	  Required: true
	  In: path
	*/
	TransferID int64
}

GetTransferByIDParams contains all the bound params for the get transfer by Id operation typically these are obtained from a http.Request

swagger:parameters getTransferById

func NewGetTransferByIDParams

func NewGetTransferByIDParams() GetTransferByIDParams

NewGetTransferByIDParams creates a new GetTransferByIDParams object

There are no default values defined in the spec.

func (*GetTransferByIDParams) BindRequest

func (o *GetTransferByIDParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetTransferByIDParams() beforehand.

type GetTransferByIDURL

type GetTransferByIDURL struct {
	TransferID int64
	// contains filtered or unexported fields
}

GetTransferByIDURL generates an URL for the get transfer by Id operation

func (*GetTransferByIDURL) Build

func (o *GetTransferByIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetTransferByIDURL) BuildFull

func (o *GetTransferByIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetTransferByIDURL) Must

func (o *GetTransferByIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetTransferByIDURL) SetBasePath

func (o *GetTransferByIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetTransferByIDURL) String

func (o *GetTransferByIDURL) String() string

String returns the string representation of the path with query string

func (*GetTransferByIDURL) StringFull

func (o *GetTransferByIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetTransferByIDURL) WithBasePath

func (o *GetTransferByIDURL) WithBasePath(bp string) *GetTransferByIDURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetTransfers

type GetTransfers struct {
	Context *middleware.Context
	Handler GetTransfersHandler
}
GetTransfers swagger:route GET /transfers transfer getTransfers

Query transfer status

Retrieve status of all transfers

func NewGetTransfers

func NewGetTransfers(ctx *middleware.Context, handler GetTransfersHandler) *GetTransfers

NewGetTransfers creates a new http.Handler for the get transfers operation

func (*GetTransfers) ServeHTTP

func (o *GetTransfers) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetTransfersForbidden

type GetTransfersForbidden struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

GetTransfersForbidden Forbidden from querying transfer status

swagger:response getTransfersForbidden

func NewGetTransfersForbidden

func NewGetTransfersForbidden() *GetTransfersForbidden

NewGetTransfersForbidden creates GetTransfersForbidden with default headers values

func (*GetTransfersForbidden) SetPayload

func (o *GetTransfersForbidden) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the get transfers forbidden response

func (*GetTransfersForbidden) WithPayload

WithPayload adds the payload to the get transfers forbidden response

func (*GetTransfersForbidden) WriteResponse

func (o *GetTransfersForbidden) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTransfersHandler

type GetTransfersHandler interface {
	Handle(GetTransfersParams) middleware.Responder
}

GetTransfersHandler interface for that can handle valid get transfers params

type GetTransfersHandlerFunc

type GetTransfersHandlerFunc func(GetTransfersParams) middleware.Responder

GetTransfersHandlerFunc turns a function with the right signature into a get transfers handler

func (GetTransfersHandlerFunc) Handle

Handle executing the request and returning a response

type GetTransfersInternalServerError

type GetTransfersInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

GetTransfersInternalServerError TOC controller error

swagger:response getTransfersInternalServerError

func NewGetTransfersInternalServerError

func NewGetTransfersInternalServerError() *GetTransfersInternalServerError

NewGetTransfersInternalServerError creates GetTransfersInternalServerError with default headers values

func (*GetTransfersInternalServerError) SetPayload

func (o *GetTransfersInternalServerError) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the get transfers internal server error response

func (*GetTransfersInternalServerError) WithPayload

WithPayload adds the payload to the get transfers internal server error response

func (*GetTransfersInternalServerError) WriteResponse

func (o *GetTransfersInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTransfersMethodNotAllowed

type GetTransfersMethodNotAllowed struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

GetTransfersMethodNotAllowed Bad request

swagger:response getTransfersMethodNotAllowed

func NewGetTransfersMethodNotAllowed

func NewGetTransfersMethodNotAllowed() *GetTransfersMethodNotAllowed

NewGetTransfersMethodNotAllowed creates GetTransfersMethodNotAllowed with default headers values

func (*GetTransfersMethodNotAllowed) SetPayload

func (o *GetTransfersMethodNotAllowed) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the get transfers method not allowed response

func (*GetTransfersMethodNotAllowed) WithPayload

WithPayload adds the payload to the get transfers method not allowed response

func (*GetTransfersMethodNotAllowed) WriteResponse

func (o *GetTransfersMethodNotAllowed) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTransfersNotFound

type GetTransfersNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

GetTransfersNotFound Transfer not found

swagger:response getTransfersNotFound

func NewGetTransfersNotFound

func NewGetTransfersNotFound() *GetTransfersNotFound

NewGetTransfersNotFound creates GetTransfersNotFound with default headers values

func (*GetTransfersNotFound) SetPayload

func (o *GetTransfersNotFound) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the get transfers not found response

func (*GetTransfersNotFound) WithPayload

func (o *GetTransfersNotFound) WithPayload(payload *models.APIResponse) *GetTransfersNotFound

WithPayload adds the payload to the get transfers not found response

func (*GetTransfersNotFound) WriteResponse

func (o *GetTransfersNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTransfersOK

type GetTransfersOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Transfer `json:"body,omitempty"`
}

GetTransfersOK Transfer info retrieved

swagger:response getTransfersOK

func NewGetTransfersOK

func NewGetTransfersOK() *GetTransfersOK

NewGetTransfersOK creates GetTransfersOK with default headers values

func (*GetTransfersOK) SetPayload

func (o *GetTransfersOK) SetPayload(payload []*models.Transfer)

SetPayload sets the payload to the get transfers o k response

func (*GetTransfersOK) WithPayload

func (o *GetTransfersOK) WithPayload(payload []*models.Transfer) *GetTransfersOK

WithPayload adds the payload to the get transfers o k response

func (*GetTransfersOK) WriteResponse

func (o *GetTransfersOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTransfersParams

type GetTransfersParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

GetTransfersParams contains all the bound params for the get transfers operation typically these are obtained from a http.Request

swagger:parameters getTransfers

func NewGetTransfersParams

func NewGetTransfersParams() GetTransfersParams

NewGetTransfersParams creates a new GetTransfersParams object

There are no default values defined in the spec.

func (*GetTransfersParams) BindRequest

func (o *GetTransfersParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetTransfersParams() beforehand.

type GetTransfersServiceUnavailable

type GetTransfersServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

GetTransfersServiceUnavailable Service unavailable

swagger:response getTransfersServiceUnavailable

func NewGetTransfersServiceUnavailable

func NewGetTransfersServiceUnavailable() *GetTransfersServiceUnavailable

NewGetTransfersServiceUnavailable creates GetTransfersServiceUnavailable with default headers values

func (*GetTransfersServiceUnavailable) SetPayload

func (o *GetTransfersServiceUnavailable) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the get transfers service unavailable response

func (*GetTransfersServiceUnavailable) WithPayload

WithPayload adds the payload to the get transfers service unavailable response

func (*GetTransfersServiceUnavailable) WriteResponse

func (o *GetTransfersServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTransfersURL

type GetTransfersURL struct {
	// contains filtered or unexported fields
}

GetTransfersURL generates an URL for the get transfers operation

func (*GetTransfersURL) Build

func (o *GetTransfersURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetTransfersURL) BuildFull

func (o *GetTransfersURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetTransfersURL) Must

func (o *GetTransfersURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetTransfersURL) SetBasePath

func (o *GetTransfersURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetTransfersURL) String

func (o *GetTransfersURL) String() string

String returns the string representation of the path with query string

func (*GetTransfersURL) StringFull

func (o *GetTransfersURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetTransfersURL) WithBasePath

func (o *GetTransfersURL) WithBasePath(bp string) *GetTransfersURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type NewTransfer

type NewTransfer struct {
	Context *middleware.Context
	Handler NewTransferHandler
}
NewTransfer swagger:route POST /transfers transfer newTransfer

Start a backup transfer attempt

Run transfer and return immediately without waiting

func NewNewTransfer

func NewNewTransfer(ctx *middleware.Context, handler NewTransferHandler) *NewTransfer

NewNewTransfer creates a new http.Handler for the new transfer operation

func (*NewTransfer) ServeHTTP

func (o *NewTransfer) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type NewTransferBadGateway

type NewTransferBadGateway struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

NewTransferBadGateway Bad gateway. Stepup backup server error

swagger:response newTransferBadGateway

func NewNewTransferBadGateway

func NewNewTransferBadGateway() *NewTransferBadGateway

NewNewTransferBadGateway creates NewTransferBadGateway with default headers values

func (*NewTransferBadGateway) SetPayload

func (o *NewTransferBadGateway) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the new transfer bad gateway response

func (*NewTransferBadGateway) WithPayload

WithPayload adds the payload to the new transfer bad gateway response

func (*NewTransferBadGateway) WriteResponse

func (o *NewTransferBadGateway) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type NewTransferForbidden

type NewTransferForbidden struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

NewTransferForbidden Forbidden from creating duplicate/repeat transfer

swagger:response newTransferForbidden

func NewNewTransferForbidden

func NewNewTransferForbidden() *NewTransferForbidden

NewNewTransferForbidden creates NewTransferForbidden with default headers values

func (*NewTransferForbidden) SetPayload

func (o *NewTransferForbidden) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the new transfer forbidden response

func (*NewTransferForbidden) WithPayload

func (o *NewTransferForbidden) WithPayload(payload *models.APIResponse) *NewTransferForbidden

WithPayload adds the payload to the new transfer forbidden response

func (*NewTransferForbidden) WriteResponse

func (o *NewTransferForbidden) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type NewTransferGatewayTimeout

type NewTransferGatewayTimeout struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

NewTransferGatewayTimeout Gateway timeout. Stepup backup server did not reply.

swagger:response newTransferGatewayTimeout

func NewNewTransferGatewayTimeout

func NewNewTransferGatewayTimeout() *NewTransferGatewayTimeout

NewNewTransferGatewayTimeout creates NewTransferGatewayTimeout with default headers values

func (*NewTransferGatewayTimeout) SetPayload

func (o *NewTransferGatewayTimeout) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the new transfer gateway timeout response

func (*NewTransferGatewayTimeout) WithPayload

WithPayload adds the payload to the new transfer gateway timeout response

func (*NewTransferGatewayTimeout) WriteResponse

func (o *NewTransferGatewayTimeout) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type NewTransferHandler

type NewTransferHandler interface {
	Handle(NewTransferParams) middleware.Responder
}

NewTransferHandler interface for that can handle valid new transfer params

type NewTransferHandlerFunc

type NewTransferHandlerFunc func(NewTransferParams) middleware.Responder

NewTransferHandlerFunc turns a function with the right signature into a new transfer handler

func (NewTransferHandlerFunc) Handle

Handle executing the request and returning a response

type NewTransferInternalServerError

type NewTransferInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

NewTransferInternalServerError Stepup TOC controller error

swagger:response newTransferInternalServerError

func NewNewTransferInternalServerError

func NewNewTransferInternalServerError() *NewTransferInternalServerError

NewNewTransferInternalServerError creates NewTransferInternalServerError with default headers values

func (*NewTransferInternalServerError) SetPayload

func (o *NewTransferInternalServerError) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the new transfer internal server error response

func (*NewTransferInternalServerError) WithPayload

WithPayload adds the payload to the new transfer internal server error response

func (*NewTransferInternalServerError) WriteResponse

func (o *NewTransferInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type NewTransferMethodNotAllowed

type NewTransferMethodNotAllowed struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

NewTransferMethodNotAllowed Bad request

swagger:response newTransferMethodNotAllowed

func NewNewTransferMethodNotAllowed

func NewNewTransferMethodNotAllowed() *NewTransferMethodNotAllowed

NewNewTransferMethodNotAllowed creates NewTransferMethodNotAllowed with default headers values

func (*NewTransferMethodNotAllowed) SetPayload

func (o *NewTransferMethodNotAllowed) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the new transfer method not allowed response

func (*NewTransferMethodNotAllowed) WithPayload

WithPayload adds the payload to the new transfer method not allowed response

func (*NewTransferMethodNotAllowed) WriteResponse

func (o *NewTransferMethodNotAllowed) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type NewTransferNotFound

type NewTransferNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

NewTransferNotFound Stepup backup server not found

swagger:response newTransferNotFound

func NewNewTransferNotFound

func NewNewTransferNotFound() *NewTransferNotFound

NewNewTransferNotFound creates NewTransferNotFound with default headers values

func (*NewTransferNotFound) SetPayload

func (o *NewTransferNotFound) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the new transfer not found response

func (*NewTransferNotFound) WithPayload

func (o *NewTransferNotFound) WithPayload(payload *models.APIResponse) *NewTransferNotFound

WithPayload adds the payload to the new transfer not found response

func (*NewTransferNotFound) WriteResponse

func (o *NewTransferNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type NewTransferOK

type NewTransferOK struct {

	/*
	  In: Body
	*/
	Payload *models.Transfer `json:"body,omitempty"`
}

NewTransferOK Transfer started

swagger:response newTransferOK

func NewNewTransferOK

func NewNewTransferOK() *NewTransferOK

NewNewTransferOK creates NewTransferOK with default headers values

func (*NewTransferOK) SetPayload

func (o *NewTransferOK) SetPayload(payload *models.Transfer)

SetPayload sets the payload to the new transfer o k response

func (*NewTransferOK) WithPayload

func (o *NewTransferOK) WithPayload(payload *models.Transfer) *NewTransferOK

WithPayload adds the payload to the new transfer o k response

func (*NewTransferOK) WriteResponse

func (o *NewTransferOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type NewTransferParams

type NewTransferParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Backup and associated snapshots for restoration
	  Required: true
	  In: body
	*/
	Body *models.Backup
}

NewTransferParams contains all the bound params for the new transfer operation typically these are obtained from a http.Request

swagger:parameters newTransfer

func NewNewTransferParams

func NewNewTransferParams() NewTransferParams

NewNewTransferParams creates a new NewTransferParams object

There are no default values defined in the spec.

func (*NewTransferParams) BindRequest

func (o *NewTransferParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewNewTransferParams() beforehand.

type NewTransferServiceUnavailable

type NewTransferServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

NewTransferServiceUnavailable Service unavailable on stepup TOC controller

swagger:response newTransferServiceUnavailable

func NewNewTransferServiceUnavailable

func NewNewTransferServiceUnavailable() *NewTransferServiceUnavailable

NewNewTransferServiceUnavailable creates NewTransferServiceUnavailable with default headers values

func (*NewTransferServiceUnavailable) SetPayload

func (o *NewTransferServiceUnavailable) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the new transfer service unavailable response

func (*NewTransferServiceUnavailable) WithPayload

WithPayload adds the payload to the new transfer service unavailable response

func (*NewTransferServiceUnavailable) WriteResponse

func (o *NewTransferServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type NewTransferURL

type NewTransferURL struct {
	// contains filtered or unexported fields
}

NewTransferURL generates an URL for the new transfer operation

func (*NewTransferURL) Build

func (o *NewTransferURL) Build() (*url.URL, error)

Build a url path and query string

func (*NewTransferURL) BuildFull

func (o *NewTransferURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*NewTransferURL) Must

func (o *NewTransferURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*NewTransferURL) SetBasePath

func (o *NewTransferURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*NewTransferURL) String

func (o *NewTransferURL) String() string

String returns the string representation of the path with query string

func (*NewTransferURL) StringFull

func (o *NewTransferURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*NewTransferURL) WithBasePath

func (o *NewTransferURL) WithBasePath(bp string) *NewTransferURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type UpdateTransfer

type UpdateTransfer struct {
	Context *middleware.Context
	Handler UpdateTransferHandler
}
UpdateTransfer swagger:route PUT /transfers transfer updateTransfer

Update transfer status/info

Update transfer status/info

func NewUpdateTransfer

func NewUpdateTransfer(ctx *middleware.Context, handler UpdateTransferHandler) *UpdateTransfer

NewUpdateTransfer creates a new http.Handler for the update transfer operation

func (*UpdateTransfer) ServeHTTP

func (o *UpdateTransfer) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type UpdateTransferBadGateway

type UpdateTransferBadGateway struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

UpdateTransferBadGateway Bad gateway. TOC controller error

swagger:response updateTransferBadGateway

func NewUpdateTransferBadGateway

func NewUpdateTransferBadGateway() *UpdateTransferBadGateway

NewUpdateTransferBadGateway creates UpdateTransferBadGateway with default headers values

func (*UpdateTransferBadGateway) SetPayload

func (o *UpdateTransferBadGateway) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the update transfer bad gateway response

func (*UpdateTransferBadGateway) WithPayload

WithPayload adds the payload to the update transfer bad gateway response

func (*UpdateTransferBadGateway) WriteResponse

func (o *UpdateTransferBadGateway) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateTransferForbidden

type UpdateTransferForbidden struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

UpdateTransferForbidden Forbidden from updating transfer

swagger:response updateTransferForbidden

func NewUpdateTransferForbidden

func NewUpdateTransferForbidden() *UpdateTransferForbidden

NewUpdateTransferForbidden creates UpdateTransferForbidden with default headers values

func (*UpdateTransferForbidden) SetPayload

func (o *UpdateTransferForbidden) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the update transfer forbidden response

func (*UpdateTransferForbidden) WithPayload

WithPayload adds the payload to the update transfer forbidden response

func (*UpdateTransferForbidden) WriteResponse

func (o *UpdateTransferForbidden) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateTransferGatewayTimeout

type UpdateTransferGatewayTimeout struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

UpdateTransferGatewayTimeout Gateway timeout. TOC controller did not reply.

swagger:response updateTransferGatewayTimeout

func NewUpdateTransferGatewayTimeout

func NewUpdateTransferGatewayTimeout() *UpdateTransferGatewayTimeout

NewUpdateTransferGatewayTimeout creates UpdateTransferGatewayTimeout with default headers values

func (*UpdateTransferGatewayTimeout) SetPayload

func (o *UpdateTransferGatewayTimeout) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the update transfer gateway timeout response

func (*UpdateTransferGatewayTimeout) WithPayload

WithPayload adds the payload to the update transfer gateway timeout response

func (*UpdateTransferGatewayTimeout) WriteResponse

func (o *UpdateTransferGatewayTimeout) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateTransferHandler

type UpdateTransferHandler interface {
	Handle(UpdateTransferParams) middleware.Responder
}

UpdateTransferHandler interface for that can handle valid update transfer params

type UpdateTransferHandlerFunc

type UpdateTransferHandlerFunc func(UpdateTransferParams) middleware.Responder

UpdateTransferHandlerFunc turns a function with the right signature into a update transfer handler

func (UpdateTransferHandlerFunc) Handle

Handle executing the request and returning a response

type UpdateTransferInternalServerError

type UpdateTransferInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

UpdateTransferInternalServerError TOC controller error

swagger:response updateTransferInternalServerError

func NewUpdateTransferInternalServerError

func NewUpdateTransferInternalServerError() *UpdateTransferInternalServerError

NewUpdateTransferInternalServerError creates UpdateTransferInternalServerError with default headers values

func (*UpdateTransferInternalServerError) SetPayload

func (o *UpdateTransferInternalServerError) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the update transfer internal server error response

func (*UpdateTransferInternalServerError) WithPayload

WithPayload adds the payload to the update transfer internal server error response

func (*UpdateTransferInternalServerError) WriteResponse

func (o *UpdateTransferInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateTransferMethodNotAllowed

type UpdateTransferMethodNotAllowed struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

UpdateTransferMethodNotAllowed Bad request

swagger:response updateTransferMethodNotAllowed

func NewUpdateTransferMethodNotAllowed

func NewUpdateTransferMethodNotAllowed() *UpdateTransferMethodNotAllowed

NewUpdateTransferMethodNotAllowed creates UpdateTransferMethodNotAllowed with default headers values

func (*UpdateTransferMethodNotAllowed) SetPayload

func (o *UpdateTransferMethodNotAllowed) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the update transfer method not allowed response

func (*UpdateTransferMethodNotAllowed) WithPayload

WithPayload adds the payload to the update transfer method not allowed response

func (*UpdateTransferMethodNotAllowed) WriteResponse

func (o *UpdateTransferMethodNotAllowed) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateTransferNotFound

type UpdateTransferNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

UpdateTransferNotFound TOC controller not found

swagger:response updateTransferNotFound

func NewUpdateTransferNotFound

func NewUpdateTransferNotFound() *UpdateTransferNotFound

NewUpdateTransferNotFound creates UpdateTransferNotFound with default headers values

func (*UpdateTransferNotFound) SetPayload

func (o *UpdateTransferNotFound) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the update transfer not found response

func (*UpdateTransferNotFound) WithPayload

WithPayload adds the payload to the update transfer not found response

func (*UpdateTransferNotFound) WriteResponse

func (o *UpdateTransferNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateTransferOK

type UpdateTransferOK struct {

	/*
	  In: Body
	*/
	Payload *models.Transfer `json:"body,omitempty"`
}

UpdateTransferOK Transfer updated

swagger:response updateTransferOK

func NewUpdateTransferOK

func NewUpdateTransferOK() *UpdateTransferOK

NewUpdateTransferOK creates UpdateTransferOK with default headers values

func (*UpdateTransferOK) SetPayload

func (o *UpdateTransferOK) SetPayload(payload *models.Transfer)

SetPayload sets the payload to the update transfer o k response

func (*UpdateTransferOK) WithPayload

func (o *UpdateTransferOK) WithPayload(payload *models.Transfer) *UpdateTransferOK

WithPayload adds the payload to the update transfer o k response

func (*UpdateTransferOK) WriteResponse

func (o *UpdateTransferOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateTransferParams

type UpdateTransferParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Transfer request to update
	  Required: true
	  In: body
	*/
	Body *models.Transfer
}

UpdateTransferParams contains all the bound params for the update transfer operation typically these are obtained from a http.Request

swagger:parameters updateTransfer

func NewUpdateTransferParams

func NewUpdateTransferParams() UpdateTransferParams

NewUpdateTransferParams creates a new UpdateTransferParams object

There are no default values defined in the spec.

func (*UpdateTransferParams) BindRequest

func (o *UpdateTransferParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewUpdateTransferParams() beforehand.

type UpdateTransferServiceUnavailable

type UpdateTransferServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.APIResponse `json:"body,omitempty"`
}

UpdateTransferServiceUnavailable Service unavailable on TOC controller

swagger:response updateTransferServiceUnavailable

func NewUpdateTransferServiceUnavailable

func NewUpdateTransferServiceUnavailable() *UpdateTransferServiceUnavailable

NewUpdateTransferServiceUnavailable creates UpdateTransferServiceUnavailable with default headers values

func (*UpdateTransferServiceUnavailable) SetPayload

func (o *UpdateTransferServiceUnavailable) SetPayload(payload *models.APIResponse)

SetPayload sets the payload to the update transfer service unavailable response

func (*UpdateTransferServiceUnavailable) WithPayload

WithPayload adds the payload to the update transfer service unavailable response

func (*UpdateTransferServiceUnavailable) WriteResponse

func (o *UpdateTransferServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateTransferURL

type UpdateTransferURL struct {
	// contains filtered or unexported fields
}

UpdateTransferURL generates an URL for the update transfer operation

func (*UpdateTransferURL) Build

func (o *UpdateTransferURL) Build() (*url.URL, error)

Build a url path and query string

func (*UpdateTransferURL) BuildFull

func (o *UpdateTransferURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*UpdateTransferURL) Must

func (o *UpdateTransferURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*UpdateTransferURL) SetBasePath

func (o *UpdateTransferURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*UpdateTransferURL) String

func (o *UpdateTransferURL) String() string

String returns the string representation of the path with query string

func (*UpdateTransferURL) StringFull

func (o *UpdateTransferURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*UpdateTransferURL) WithBasePath

func (o *UpdateTransferURL) WithBasePath(bp string) *UpdateTransferURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL
⌂ 换网址